# keyValueHolder Data Type

This is a generic class that hold key-value pairs. It's main usage is to hold abstract types such as TOSCA.

Namespace
  (Default)
Schema
  ns0.xsd
Subtypes
  provisionRequest, provisionResponse

Properties
name | data type | type | namespace | min/max occurs | description
--- | --- | --- | --- | --- | ---
##### Properties inherited from ownedObject
owner | string | element |  | 0/1 | The owner (username) for the particular object. This value is set when the DAO saves the object based on the principal who made the call. It is created automatically. No need to set during a POST

Example

    <k----->
      <owner>user1</owner>
    </k----->